Bug 174260 - Review Request: moin-latex : add-on to support LaTeX markup
Review Request: moin-latex : add-on to support LaTeX markup
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael A. Peters
David Lawrence
http://mitgcm.org/eh3/fedora_misc/moi...
:
: 165938 (view as bug list)
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-11-26 15:02 EST by Ed Hill
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-01 22:13:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ed Hill 2005-11-26 15:02:14 EST
Spec Name or Url: http://mitgcm.org/eh3/fedora_misc/moin-latex.spec
SRPM Name or Url: http://mitgcm.org/eh3/fedora_misc/moin-latex-0-0.20051126.1.src.rpm

Description:
This is a tiny add-on package to moin.  It allows a MoinMoin wiki to 
support some mathematical markup via LaTeX.
Comment 1 Matthias Saou 2005-11-29 07:29:25 EST
*** Bug 165938 has been marked as a duplicate of this bug. ***
Comment 2 Michael A. Peters 2005-11-29 10:37:24 EST
I'm having a little difficuly getting the md5sum to match up with the files I
can find at the URL. Have they changed upstream?

What's particularly annoying (not you) is that I can't wget the links - get a
403 error, have to click and download them with the browser.

Mock is clean - I'll go ahead and test it, but if there could be some assistance
in figuring out how to get the md5um to match (which files you grabbed for what)
that would be great.
Comment 3 Ed Hill 2005-11-29 11:09:10 EST
Hi Michael, I appreciate you taking some time to review this tiny but 
annoying package.  I created it mostly to document the process since the
upstream directions are somewhat difficult to follow.  The urls are:

 http://johannes.sipsolutions.net/Projects/new-moinmoin-latex/parser?action=raw
 http://johannes.sipsolutions.net/Projects/new-moinmoin-latex/macro?action=raw
 http://johannes.sipsolutions.net/Projects/new-moinmoin-latex/inline?action=raw
 http://moinmoin.wikiwikiweb.de/FormatterMarket/text_latex.py?action=raw

which were then re-named.  And yes, they don't seem to work with wget.

Also, since there are only four small files, perhaps the comparison with 
upstream could be done with "diff -u" instead of md5sum?
Comment 4 Michael A. Peters 2005-11-29 11:21:44 EST
Great - thanks!
I can confirm that it in fact does work.
Comment 5 Michael A. Peters 2005-11-29 11:34:54 EST
* builds in mock, result rpmlint clean (src and noarch)
* properly named
* spec file filename matches package
* meets packaging guidelines
* OSS license (GPL) - matches specification in files
* Spec file in American English - legible
* Source files within tarball match upstream
* tested against moin package in FC4 - works
* proper requires
* owns all files installed, no loose directories
* Proper fedora specific readme
* Not a binary package, binary concerns don't apply

Accept
Comment 6 Ed Hill 2005-12-01 22:13:59 EST
Built successfully for FC-4 & devel.

Note You need to log in before you can comment on or make changes to this bug.